|
OpMath | |||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Object | +--com.opmath.util.http.HttpServletRequest
Implements the javax.servlet.ServletRequest and
javax.servlet.http.HttpServletRequest interfaces to provide
request information for servlets that subclass
com.opmath.util.HttpServlet.
The servlet container creates an HttpServletRequest object
and passes it as an argument to the com.opmath.util.http.HttpServlet
service methods (doGet, doPost). The specialised
service methods (doGetDispatch, doPostDispatch) are
passed an com.opmath.util.http.HttpServletRequest object, in place
of the orginal javax.servlet.http.HttpServletRequest object.
Copyright: (c) 2002 The Open Math Company Limited
The Terms of Distribution of this software are stipulated in the javadoc Overview for this project.
HttpServlet| Fields inherited from interface javax.servlet.http.HttpServletRequest |
BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH |
| Constructor Summary | |
HttpServletRequest(HttpServletRequest request)
Constructs a new com.opmath.util.http.HttpServletRequest object. |
|
| Method Summary | |
Object |
getAttribute(String name)
Returns the value of the named attribute as an Object, or
null if no attribute of the given name exists. |
Enumeration |
getAttributeNames()
Returns an Enumeration containing the names of the attributes available to this request. |
String |
getAuthType()
Returns the name of the authentication scheme used to protect the servlet. |
Boolean |
getBooleanParameter(String paramName)
Returns the value of a request parameter as a Boolean. |
String |
getCharacterEncoding()
Returns the name of the character encoding used in the body of this request. |
int |
getContentLength()
Returns the length, in bytes, of the request body and made available by the input stream, or -1 if the length is not known. |
String |
getContentType()
Returns the MIME type of the body of the request, or null
if the type is not known. |
String |
getContextPath()
Returns the portion of the request URI that indicates the context of the request. |
Cookie[] |
getCookies()
Returns an array containing all of the Cookie objects the client sent with this request. |
long |
getDateHeader(String name)
Returns the value of the specified request header as a long that represents
a Date object. |
Double |
getDoubleParameter(String paramName)
Returns the value of a request parameter as a Double. |
Float |
getFloatParameter(String paramName)
Returns the value of a request parameter as a Float. |
String |
getHeader(String name)
Returns the value of the specified request header as a String. |
Enumeration |
getHeaderNames()
Returns an Enumeration of all the header names this request contains. |
Enumeration |
getHeaders(String name)
Returns all the values of the specified request header as an Enumeration
of String objects. |
ServletInputStream |
getInputStream()
Retrieves the body of the request as binary data using a ServletInputStream. |
Integer |
getIntegerParameter(String paramName)
Returns the value of a request parameter as a Integer. |
int |
getIntHeader(String name)
Returns the value of the specified request header as an int. |
Locale |
getLocale()
Returns the preferred Locale that the client will accept content in, based on the Accept-Language header. |
Enumeration |
getLocales()
Returns an Enumeration of Locale objects indicating,
in decreasing order starting with the preferred locale, the locales that are
acceptable to the client based on the Accept-Language header. |
Long |
getLongParameter(String paramName)
Returns the value of a request parameter as a Long. |
String |
getMethod()
Returns the name of the HTTP method with which this request was made, for example, GET, POST, or PUT. |
String |
getParameter(String name)
Returns the value of a request parameter as a String, or null if the parameter does not exist. |
Map |
getParameterMap()
Returns a java.util.Map of the parameters of this request. |
Enumeration |
getParameterNames()
Returns an Enumeration of String objects
containing the names of the parameters contained in this request. |
String[] |
getParameterValues(String name)
Returns an array of String objects containing all of the values
the given request parameter has, or null if the parameter does
not exist. |
String |
getPathInfo()
Returns any extra path information associated with the URL the client sent when it made this request. |
String |
getPathTranslated()
Returns any extra path information after the servlet name but before the query string, and translates it to a real path. |
String |
getProtocol()
Returns the name and version of the protocol the request uses in the form protocol/majorVersion.minorVersion, for example, HTTP/1.1. |
String |
getQueryString()
Returns the query String that is contained in the request URL after
the path. |
BufferedReader |
getReader()
Retrieves the body of the request as character data using a BufferedReader. |
String |
getRealPath(String path)
Deprecated. As of Version 2.1 of the Java Servlet API, use ServletContext.getRealPath(java.lang.String)
instead. |
String |
getRemoteAddr()
Returns the Internet Protocol (IP) address of the client that sent the request. |
String |
getRemoteHost()
Returns the fully qualified name of the client that sent the request, or the IP address of the client if the name cannot be determined. |
String |
getRemoteUser()
Returns the login of the user making this request, if the user has been authenticated, or null if the user has not been authenticated. |
RequestDispatcher |
getRequestDispatcher(String path)
Returns a RequestDispatcher object that acts as a wrapper
for the resource located at the given path. |
String |
getRequestedSessionId()
Returns the session ID specified by the client. |
String |
getRequestURI()
Returns the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request. |
StringBuffer |
getRequestURL()
Reconstructs the URL the client used to make the request. |
String |
getScheme()
Returns the name of the scheme used to make this request, for example, http, https, or ftp. |
String |
getServerName()
Returns the host name of the server that received the request. |
int |
getServerPort()
Returns the port number on which this request was received. |
String |
getServletPath()
Reconstructs the URL the client used to make the request. |
HttpSession |
getSession()
Returns the current session associated with this request, or if the request does not have a session, creates one. |
HttpSession |
getSession(boolean create)
Returns the current HttpSession associated with this request or,
if if there is no current session and create is true,
returns a new session. |
Short |
getShortParameter(String paramName)
Returns the value of a request parameter as a Long. |
String |
getStringParameter(String paramName)
Returns the value of a request parameter as a String. |
Principal |
getUserPrincipal()
Returns a java.security.Principal object containing the name
of the current authenticated user. |
boolean |
isRequestedSessionIdFromCookie()
Checks whether the requested session ID came in as a cookie. |
boolean |
isRequestedSessionIdFromUrl()
Deprecated. As of Version 2.1 of the Java Servlet API, use isRequestedSessionIdFromURL() instead. |
boolean |
isRequestedSessionIdFromURL()
Checks whether the requested session ID came in as part of the request URL. |
boolean |
isRequestedSessionIdValid()
Checks whether the requested session ID is still valid. |
boolean |
isSecure()
Returns a boolean indicating whether this request was made using a secure channel, such as HTTPS. |
boolean |
isUserInRole(String role)
Returns a boolean indicating whether the authenticated user is
included in the specified logical "role". |
void |
removeAttribute(String name)
Removes an attribute from this request. |
void |
setAttribute(String name,
Object o)
Stores an attribute in this request. |
void |
setCharacterEncoding(String env)
Overrides the name of the character encoding used in the body of this request. |
| Methods inherited from class java.lang.Object |
|
| Constructor Detail |
public HttpServletRequest(HttpServletRequest request)
Constructs a new com.opmath.util.http.HttpServletRequest object.
The com.opmath.util.http.HttpServletRequest works by delegation,
passing method calls specified by the javax.servlet.ServletRequest
and javax.servlet.http.HttpServletRequest interfaces to the object
given to this constructor.
request - a javax.servlet.http.HttpServletRequest
providing the delegate.| Method Detail |
public Boolean getBooleanParameter(String paramName)
throws ParameterAbsentException,
ParameterFormatException
Returns the value of a request parameter as a Boolean.
If the parameter was absent, or no value was given for the parameter, then
a ParameterAbsentException is thrown. If the parameter value
is present, but cannot be parsed as a Boolean, then a
ParameterFormatException is thrown.
Note that the rules used by this method for parsing a Boolean
parameter are different to those used by Java. Specifically, the rules are
(ignoring parameter value case):
| Paremeter Value | Returned Value |
| true | true |
| yes | true |
| false | false |
| no | false |
| all other values | ParameterFormatException thrown |
Request parameters are extra information sent with the request. For HTTP servlets, parameters are contained in the query string or posted form data.
You should only use this method when you are sure the parameter has only one value. If the parameter might have more than one value, use getParameterValues(java.lang.String). If you use this method with a multivalued parameter, the value returned is equal to the first value in the array returned by getParameterValues.
If the parameter data was sent in the request body, such as occurs with an HTTP POST request, then reading the body directly via getInputStream() or getReader() can interfere with the execution of this method
a - String carrying the name of the parameter.Boolean carrying the value of the parameter.ParameterAbsentException - if the parameter was not present.ParameterFormatException - if the parameter value was malformed.getDoubleParameter(String),
getFloatParameter(String),
getIntegerParameter(String),
getStringParameter(String)
public Double getDoubleParameter(String paramName)
throws ParameterAbsentException,
ParameterFormatException
Returns the value of a request parameter as a Double.
If the parameter was absent, or no value was given for the parameter, then
a ParameterAbsentException is thrown. If the parameter value
is present, but cannot be parsed as a Double, then a
ParameterFormatException is thrown.
Request parameters are extra information sent with the request. For HTTP servlets, parameters are contained in the query string or posted form data.
You should only use this method when you are sure the parameter has only one value. If the parameter might have more than one value, use getParameterValues(java.lang.String). If you use this method with a multivalued parameter, the value returned is equal to the first value in the array returned by getParameterValues.
If the parameter data was sent in the request body, such as occurs with an HTTP POST request, then reading the body directly via getInputStream() or getReader() can interfere with the execution of this method
a - String carrying the name of the parameter.Double carrying the value of the parameter.ParameterAbsentException - if the parameter was not present.ParameterFormatException - if the parameter value was malformed.getBooleanParameter(String),
getFloatParameter(String),
getIntegerParameter(String),
getStringParameter(String)
public Float getFloatParameter(String paramName)
throws ParameterAbsentException,
ParameterFormatException
Returns the value of a request parameter as a Float.
If the parameter was absent, or no value was given for the parameter, then
a ParameterAbsentException is thrown. If the parameter value
is present, but cannot be parsed as a Float, then a
ParameterFormatException is thrown.
Request parameters are extra information sent with the request. For HTTP servlets, parameters are contained in the query string or posted form data.
You should only use this method when you are sure the parameter has only one value. If the parameter might have more than one value, use getParameterValues(java.lang.String). If you use this method with a multivalued parameter, the value returned is equal to the first value in the array returned by getParameterValues.
If the parameter data was sent in the request body, such as occurs with an HTTP POST request, then reading the body directly via getInputStream() or getReader() can interfere with the execution of this method
a - String carrying the name of the parameter.Float carrying the value of the parameter.ParameterAbsentException - if the parameter was not present.ParameterFormatException - if the parameter value was malformed.getBooleanParameter(String),
getDoubleParameter(String),
getIntegerParameter(String),
getStringParameter(String)
public Integer getIntegerParameter(String paramName)
throws ParameterAbsentException,
ParameterFormatException
Returns the value of a request parameter as a Integer.
If the parameter was absent, or no value was given for the parameter, then
a ParameterAbsentException is thrown. If the parameter value
is present, but cannot be parsed as a Integer, then a
ParameterFormatException is thrown.
Request parameters are extra information sent with the request. For HTTP servlets, parameters are contained in the query string or posted form data.
You should only use this method when you are sure the parameter has only one value. If the parameter might have more than one value, use getParameterValues(java.lang.String). If you use this method with a multivalued parameter, the value returned is equal to the first value in the array returned by getParameterValues.
If the parameter data was sent in the request body, such as occurs with an HTTP POST request, then reading the body directly via getInputStream() or getReader() can interfere with the execution of this method
a - String carrying the name of the parameter.Integer carrying the value of the parameter.ParameterAbsentException - if the parameter was not present.ParameterFormatException - if the parameter value was malformed.getBooleanParameter(String),
getDoubleParameter(String),
getFloatParameter(String),
getStringParameter(String)
public Long getLongParameter(String paramName)
throws ParameterAbsentException,
ParameterFormatException
Returns the value of a request parameter as a Long.
If the parameter was absent, or no value was given for the parameter, then
a ParameterAbsentException is thrown. If the parameter value
is present, but cannot be parsed as a Integer, then a
ParameterFormatException is thrown.
Request parameters are extra information sent with the request. For HTTP servlets, parameters are contained in the query string or posted form data.
You should only use this method when you are sure the parameter has only one value. If the parameter might have more than one value, use getParameterValues(java.lang.String). If you use this method with a multivalued parameter, the value returned is equal to the first value in the array returned by getParameterValues.
If the parameter data was sent in the request body, such as occurs with an HTTP POST request, then reading the body directly via getInputStream() or getReader() can interfere with the execution of this method
a - String carrying the name of the parameter.Long carrying the value of the parameter.ParameterAbsentException - if the parameter was not present.ParameterFormatException - if the parameter value was malformed.getBooleanParameter(String),
getDoubleParameter(String),
getFloatParameter(String),
getStringParameter(String)
public Short getShortParameter(String paramName)
throws ParameterAbsentException,
ParameterFormatException
Returns the value of a request parameter as a Long.
If the parameter was absent, or no value was given for the parameter, then
a ParameterAbsentException is thrown. If the parameter value
is present, but cannot be parsed as a Integer, then a
ParameterFormatException is thrown.
Request parameters are extra information sent with the request. For HTTP servlets, parameters are contained in the query string or posted form data.
You should only use this method when you are sure the parameter has only one value. If the parameter might have more than one value, use getParameterValues(java.lang.String). If you use this method with a multivalued parameter, the value returned is equal to the first value in the array returned by getParameterValues.
If the parameter data was sent in the request body, such as occurs with an HTTP POST request, then reading the body directly via getInputStream() or getReader() can interfere with the execution of this method
a - String carrying the name of the parameter.Short carrying the value of the parameter.ParameterAbsentException - if the parameter was not present.ParameterFormatException - if the parameter value was malformed.getBooleanParameter(String),
getDoubleParameter(String),
getFloatParameter(String),
getStringParameter(String)
public String getStringParameter(String paramName)
throws ParameterAbsentException
Returns the value of a request parameter as a String.
If the parameter was absent, or no value was given for the parameter, then
a ParameterAbsentException is thrown.
Request parameters are extra information sent with the request. For HTTP servlets, parameters are contained in the query string or posted form data.
You should only use this method when you are sure the parameter has only one value. If the parameter might have more than one value, use getParameterValues(java.lang.String). If you use this method with a multivalued parameter, the value returned is equal to the first value in the array returned by getParameterValues.
If the parameter data was sent in the request body, such as occurs with an HTTP POST request, then reading the body directly via getInputStream() or getReader() can interfere with the execution of this method
a - String carrying the name of the parameter.String carrying the value of the parameter.ParameterAbsentException - if the parameter was not present.getBooleanParameter(String),
getDoubleParameter(String),
getFloatParameter(String),
getIntegerParameter(String)public String getAuthType()
Returns the name of the authentication scheme used to protect the servlet. All servlet containers support BASIC_AUTH, FORM_AUTH, and CLIENT_CERT_AUTH and may support DIGEST_AUTH. If the servlet is not authenticated null is returned.
Same as the value of the CGI variable AUTH_TYPE.
getAuthType in interface HttpServletRequestString specifying the name of the authentication scheme,
or null if the request was not authenticated.public Cookie[] getCookies()
Returns an array containing all of the Cookie objects the client sent with this request. This method returns null if no cookies were sent.
getCookies in interface HttpServletRequestCookie[] of all the Cookies included with this request,
or null if the request has no cookiespublic long getDateHeader(String name)
Returns the value of the specified request header as a long that represents
a Date object. Use this method with headers that contain dates, such as If-Modified-Since.
The date is returned as the number of milliseconds since January 1, 1970 GMT. The header name is case insensitive.
If the request did not have a header of the specified name, this method
returns -1. If the header can't be converted to a date, the method throws an
IllegalArgumentException.
getDateHeader in interface HttpServletRequestname - a String specifying the name of the header.long representing the date specified in the header
expressed as the number of milliseconds since January 1, 1970 GMT,
or -1 if the named header was not included with the reqest.public String getHeader(String name)
Returns the value of the specified request header as a String. If the request
did not include a header of the specified name, this method returns null. The
header name is case insensitive. You can use this method with any request header.
getHeader in interface HttpServletRequestname - a String specifying the name of the header.String a String containing the value of the requested
header, or null if the request does not have a header of that name.HttpServletRequest.getHeader(String)public Enumeration getHeaders(String name)
Returns all the values of the specified request header as an Enumeration
of String objects.
Some headers, such as Accept-Language can be sent by clients as several headers each with a different value rather than sending the header as a comma separated list.
If the request did not include any headers of the specified name, this method
returns an empty Enumeration. The header name is case insensitive.
You can use this method with any request header.
getHeaders in interface HttpServletRequestname - a String specifying the name of the header.Enumeration containing the values of the requested
header. If the request does not have any headers of that name
return an empty Enumeration. If the container does
not allow access to header information, return null.public Enumeration getHeaderNames()
Returns an Enumeration of all the header names this request contains.
If the request has no headers, this method returns an empty Enumeration.
Some servlet containers do not allow do not allow servlets to access headers
using this method, in which case this method returns null.
getHeaderNames in interface HttpServletRequestEnumeration of all the header names sent with this
request; if the request has no headers, an empty
Enumeration; if the servlet container does not
allow servlets to use this method, nullpublic int getIntHeader(String name)
Returns the value of the specified request header as an int.
If the request does not have a header of the specified name, this method
returns -1. If the header cannot be converted to an Integer,
this method throws a NumberFormatException.
The header name is case insensitive.
getIntHeader in interface HttpServletRequestname - a String carrying something.int specifying the name of a request header.public String getMethod()
Returns the name of the HTTP method with which this request was made, for example, GET, POST, or PUT. Same as the value of the CGI variable REQUEST_METHOD.
getMethod in interface HttpServletRequestString specifying the name of the method with
which this request was made.public String getPathInfo()
Returns any extra path information associated with the URL the client sent when it made this request. The extra path information follows the servlet path but precedes the query string. This method returns null if there was no extra path information.
getPathInfo in interface HttpServletRequestString decoded by the web container, specifying
extra path information that comes after the servlet path but
before the query string in the request URL; or null
if the URL does not have any extra path information.public String getPathTranslated()
Returns any extra path information after the servlet name but before the query string, and translates it to a real path. Same as the value of the CGI variable PATH_TRANSLATED.
If the URL does not have any extra path information, this method returns
null. The web container does not decode this string.
getPathTranslated in interface HttpServletRequestString specifying the real path, or null
if the URL does not have any extra path information.public String getContextPath()
Returns the portion of the request URI that indicates the context of the request. The context path always comes first in a request URI. The path starts with a "/" character but does not end with a "/" character. For servlets in the default (root) context, this method returns "". The container does not decode this string.
getContextPath in interface HttpServletRequestString specifying the portion of the request URI
that indicates the context of the request.public String getQueryString()
Returns the query String that is contained in the request URL after
the path. This method returns null if the URL does not have a
query string. Same as the value of the CGI variable QUERY_STRING.
getQueryString in interface HttpServletRequestString containing the query string or null
if the URL contains no query string. The value is not decoded
by the container.public String getRemoteUser()
Returns the login of the user making this request, if the user has been
authenticated, or null if the user has not been authenticated.
Whether the user name is sent with each subsequent request depends on the browser
and type of authentication. Same as the value of the CGI variable REMOTE_USER.
getRemoteUser in interface HttpServletRequestString specifying the login of the user making this
request, or null.public boolean isUserInRole(String role)
Returns a boolean indicating whether the authenticated user is
included in the specified logical "role". Roles and role membership can be
defined using deployment descriptors. If the user has not been authenticated,
the method returns false.
isUserInRole in interface HttpServletRequestrole - a String specifying the name of the role.boolean indicating whether the user making this
request belongs to a given role; false if the user
has not been authenticatedpublic Principal getUserPrincipal()
Returns a java.security.Principal object containing the name
of the current authenticated user. If the user has not been authenticated,
the method returns null.
getUserPrincipal in interface HttpServletRequestjava.security.Principal containing the name of the
user making this request; null if the user has
not been authenticated.public String getRequestedSessionId()
Returns the session ID specified by the client. This may not be the same as
the ID of the actual session in use. For example, if the request specified
an old (expired) session ID and the server has started a new session, this
method gets a new session with a new ID. If the request did not specify a
session ID, this method returns null.
getRequestedSessionId in interface HttpServletRequestString specifying the session ID, or null
if the request did not specify a session ID.public String getRequestURI()
Returns the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request. The web container does not decode this String.
getRequestURI in interface HttpServletRequestString containing the part of the URL from the
protocol name up to the query string.public String getServletPath()
Reconstructs the URL the client used to make the request. The returned URL contains a protocol, server name, port number, and server path, but it does not include query string parameters.
Because this method returns a StringBuffer, not a String,
you can modify the URL easily, for example, to append query parameters.
This method is useful for creating redirect messages.
getServletPath in interface HttpServletRequestString containing the reconstructed URL.HttpServletRequest.getServletPath()public HttpSession getSession(boolean create)
Returns the current HttpSession associated with this request or,
if if there is no current session and create is true,
returns a new session.
If create is false and the request has no valid
HttpSession, this method returns null.
To make sure the session is properly maintained, you must call this method before the response is committed.
getSession in interface HttpServletRequestcreate - a boolean true -
to create a new session for this request if necessary;
false to return null if there's no
current session.HttpSession associated with this request or
null if create is false and the request
has no valid session.public HttpSession getSession()
Returns the current session associated with this request, or if the request does not have a session, creates one.
getSession in interface HttpServletRequestHttpSession associated with this request.public boolean isRequestedSessionIdValid()
Checks whether the requested session ID is still valid.
isRequestedSessionIdValid in interface HttpServletRequestboolean true if this request has
an id for a valid session in the current session context;
false otherwise.public boolean isRequestedSessionIdFromCookie()
Checks whether the requested session ID came in as a cookie.
isRequestedSessionIdFromCookie in interface HttpServletRequestboolean true if the session ID came
in as a cookie; otherwise, false.public boolean isRequestedSessionIdFromURL()
Checks whether the requested session ID came in as part of the request URL.
isRequestedSessionIdFromURL in interface HttpServletRequestboolean true if the session ID came
in as part of a URL; otherwise, false.public boolean isRequestedSessionIdFromUrl()
isRequestedSessionIdFromUrl in interface HttpServletRequestpublic Object getAttribute(String name)
Returns the value of the named attribute as an Object, or
null if no attribute of the given name exists.
Attributes can be set two ways:
The servlet container may set attributes to make available custom information
about a request. For example, for requests made using HTTPS, the attribute
javax.servlet.request.X509Certificate can be used to retrieve
information on the certificate of the client.
Attributes can also be set programatically using
setAttribute(java.lang.String, java.lang.Object).
This allows information to be embedded into a request before a
RequestDispatcher call.
Attribute names should follow the same conventions as package names. This
specification reserves names matching java.*, javax.*,
and sun.*.
getAttribute in interface ServletRequestname - a String specifying the name of
the attribute.Object containing the value of the attribute,
or null if the attribute does not exist.public Enumeration getAttributeNames()
Returns an Enumeration containing the names of the attributes available
to this request. This method returns an empty Enumeration
if the request has no attributes available to it.
getAttributeNames in interface ServletRequestEnumeration of strings containing the names of
the request's attributes.public String getCharacterEncoding()
Returns the name of the character encoding used in the body of this request.
This method returns null if the request does not specify a
character encoding.
getCharacterEncoding in interface ServletRequestString containing the name of the chararacter encoding,
or null if the request does not specify a character
encoding.public int getContentLength()
Returns the length, in bytes, of the request body and made available by the input stream, or -1 if the length is not known. For HTTP servlets, same as the value of the CGI variable CONTENT_LENGTH.
getContentLength in interface ServletRequestint an integer containing the length of the request
body or -1 if the length is not known.public String getContentType()
Returns the MIME type of the body of the request, or null
if the type is not known. For HTTP servlets, same as the value of the CGI
variable CONTENT_TYPE.
getContentType in interface ServletRequestString containing the name of the MIME type of
the request, or -1 if the type is not known.
public ServletInputStream getInputStream()
throws IOException
Retrieves the body of the request as binary data using a
ServletInputStream. Either this method or getReader()
may be called to read the body, not both.
getInputStream in interface ServletRequestServletInputStream object containing the body of
the request.java.lang.IllegalStateException - if the getReader()
method has already been called for this request.java.lang.IOException - if an input or output exception occurred.public String getParameter(String name)
Returns the value of a request parameter as a String, or null if the parameter does not exist. Request parameters are extra information sent with the request. For HTTP servlets, parameters are contained in the query string or posted form data.
You should only use this method when you are sure the parameter has only one value. If the parameter might have more than one value, use getParameterValues(java.lang.String).
If you use this method with a multivalued parameter, the value returned is equal to the first value in the array returned by getParameterValues.
If the parameter data was sent in the request body, such as occurs with an HTTP POST request, then reading the body directly via getInputStream() or getReader() can interfere with the execution of this method
getParameter in interface ServletRequestnewState - a Type carrying something.Type carrying something.getBooleanParameter(String),
getDoubleParameter(String),
getFloatParameter(String),
getIntegerParameter(String),
getStringParameter(String)public Enumeration getParameterNames()
Returns an Enumeration of String objects
containing the names of the parameters contained in this request. If the
request has no parameters, the method returns an empty
Enumeration.
getParameterNames in interface ServletRequestEnumeration of String objects,
each String containing the name of a request
parameter; or an empty Enumeration if the request
has no parameters.public String[] getParameterValues(String name)
Returns an array of String objects containing all of the values
the given request parameter has, or null if the parameter does
not exist.
If the parameter has a single value, the array has a length of 1.
getParameterValues in interface ServletRequestname - a String containing the name of
the parameter whose value is requested.String[] containing the parameter's values.public String getProtocol()
Returns the name and version of the protocol the request uses in the form protocol/majorVersion.minorVersion, for example, HTTP/1.1. For HTTP servlets, the value returned is the same as the value of the CGI variable SERVER_PROTOCOL.
getProtocol in interface ServletRequestString containing the protocol name and version number.public String getScheme()
Returns the name of the scheme used to make this request, for example, http, https, or ftp. Different schemes have different rules for constructing URLs, as noted in RFC 1738.
getScheme in interface ServletRequestString containing the name of the scheme used
to make this request.public String getServerName()
Returns the host name of the server that received the request. For HTTP servlets, same as the value of the CGI variable SERVER_NAME.
getServerName in interface ServletRequestString containing the name of the server to which
the request was sent.public int getServerPort()
Returns the port number on which this request was received. For HTTP servlets, same as the value of the CGI variable SERVER_PORT.
getServerPort in interface ServletRequestint an integer specifying the port number.
public BufferedReader getReader()
throws IOException
Retrieves the body of the request as character data using a
BufferedReader. The reader translates the character data
according to the character encoding used on the body. Either this method or
getReader() may be called to read the body, not both.
getReader in interface ServletRequestBufferedReader containing the body of the request.IOException - if an input or output exception occurred.public String getRemoteAddr()
Returns the Internet Protocol (IP) address of the client that sent the request. For HTTP servlets, same as the value of the CGI variable REMOTE_ADDR.
getRemoteAddr in interface ServletRequestString containing the IP address of the client
that sent the request.public String getRemoteHost()
Returns the fully qualified name of the client that sent the request, or the IP address of the client if the name cannot be determined. For HTTP servlets, same as the value of the CGI variable REMOTE_HOST.
getRemoteHost in interface ServletRequestString containing the fully qualified name of the client.
public void setAttribute(String name,
Object o)
Stores an attribute in this request. Attributes are reset between requests.
This method is most often used in conjunction with
RequestDispatcher .
Attribute names should follow the same conventions as package names. Names
beginning with java.*, javax.*, and
com.sun.*, are reserved for use by Sun Microsystems.
setAttribute in interface ServletRequestname - a String specifying the name of
the attribute.o - an Object to be stored.public void removeAttribute(String name)
Removes an attribute from this request. This method is not generally needed as attributes only persist as long as the request is being handled.
Attribute names should follow the same conventions as package names. Names
beginning with java.*, javax.*, and
com.sun.*, are reserved for use by Sun Microsystems.
removeAttribute in interface ServletRequestname - a String specifying the name of
the attribute to remove.public Locale getLocale()
Returns the preferred Locale that the client will accept content in, based on the Accept-Language header. If the client request doesn't provide an Accept-Language header, this method returns the default locale for the server.
getLocale in interface ServletRequestLocale for the client.public Enumeration getLocales()
Returns an Enumeration of Locale objects indicating,
in decreasing order starting with the preferred locale, the locales that are
acceptable to the client based on the Accept-Language header.
If the client request doesn't provide an Accept-Language header, this method
returns an Enumeration containing one Locale, the
default locale for the server.
getLocales in interface ServletRequestEnumerationof preferred Locale objects for the client.public boolean isSecure()
Returns a boolean indicating whether this request was made using a secure channel, such as HTTPS.
isSecure in interface ServletRequestboolean indicating if the request was made using
a secure channel.public RequestDispatcher getRequestDispatcher(String path)
Returns a RequestDispatcher object that acts as a wrapper
for the resource located at the given path. A RequestDispatcher
object can be used to forward a request to the resource or to include the
resource in a response. The resource can be dynamic or static.
The pathname specified may be relative, although it cannot extend outside
the current servlet context. If the path begins with a "/" it is interpreted
as relative to the current context root. This method returns null
if the servlet container cannot return a RequestDispatcher.
The difference between this method and
ServletContext.getRequestDispatcher(java.lang.String)
is that this method can take a relative path.
getRequestDispatcher in interface ServletRequestpath - a String specifying the pathname
to the resource.RequestDispatcher object that acts as a wrapper
for the resource at the specified path.public StringBuffer getRequestURL()
Reconstructs the URL the client used to make the request. The returned URL contains a protocol, server name, port number, and server path, but it does not include query string parameters.
Because this method returns a StringBuffer, not a string, you can modify the URL easily, for example, to append query parameters.
This method is useful for creating redirect messages and for reporting errors.
getRequestURL in interface HttpServletRequestStringBuffer object containing the reconstructed URL.public Map getParameterMap()
Returns a java.util.Map of the parameters of this request. Request parameters are extra information sent with the request. For HTTP servlets, parameters are contained in the query string or posted form data.
getParameterMap in interface ServletRequestMap containing parameter names as keys and parameter
values as map values. The keys in the parameter map are
of type String. The values in the parameter map are of type
String array.
public void setCharacterEncoding(String env)
throws UnsupportedEncodingException
Overrides the name of the character encoding used in the body of this request. This method must be called prior to reading request parameters or reading input using getReader().
setCharacterEncoding in interface ServletRequestenv - a String containing the name of
the chararacter encoding..public String getRealPath(String path)
ServletContext.getRealPath(java.lang.String)
instead.
getRealPath in interface ServletRequest
|
OpMath | |||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||